Reg. upgradation of IPS to E3 Engine

Unanswered Question
Nov 3rd, 2008

Dear marcabal

I have Cisco IPS 4240 Version 5.1(5)E1 , signatured S288 the license of which expired this year ; however i want to upgraded it to Engine E2 followed by E3 .Please let me know if i will be able to accomplish this without license

Also let me know if i am having Cisco IPS 4215 6.0(5) E2 can i upgrade it to 6.0(5) E3 directly if it is not having any license

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 4.3 (3 ratings)
Loading.
suschoud Mon, 11/03/2008 - 06:13

signature updates require license **

Upgrade Path from E2 to E3:

To upgrade to E3, if your sensor is running:

5.x = it must be on 5.1(8)E2 ---> use the file IPS-engine-E3-req-5.1-8.pkg ( http://www.cisco.com/cgi-bin/tablebuild.pl/ips5 )

6.x = it must be on EITHER 6.0(5)E2 ---> use the file IPS-engine-E3-req-6.0-5.pkg OR 6.1(1)E2 ---> use the file IPS-engine-E3-req-6.1-1.pkg

( http://www.cisco.com/cgi-bin/tablebuild.pl/ips6 )

Do rate if helpful.

Regards,

Sushil

ankurs2008 Mon, 11/03/2008 - 09:31

hi

please let me know as to till what next possible version ican upgrade IPS 4240 5.1(5)E1

Regards

Ankur

austin0824 Tue, 11/04/2008 - 03:11

Hi Sushil,

I've got a similar situation here. The current version of my IPS engine is 5.1(7)E2 and I just received an update for S366 which requires E3 engine. Do I upgrade my engine to 5.1(8)E3 firstly, and then to 6.1(1)E3 or 6.2(1)E3? And secondly where can I get documentation for the upgrade, as I have never done this before?

Thanks

Austin

suschoud Tue, 11/04/2008 - 06:40

- IPS Version 6.2(1) includes E3 pre-installed... which means if you upgrade from 6.1(1)E2 to 6.2(1), you'll not only have E3 but also signature package would be updated to S355.

- 4200 appliances, ASA modules, IDSM2 and Router modules support 6.2.

- Sensor must be on E3 for a 6.2 Minor upgrade.

- E3 can be applied to sensors on the fly. Device would not reboot irrespective of the code (5.1, 6.0 or 6.1) it is running.

Regards,

Sushil

austin0824 Tue, 11/04/2008 - 07:20

Thanks Sushil. Just want to ascertain if I can go ahead and upgrade straight from 5.1(7)E2 to 6.1(1)E3 or 6.2(1)E3. Or do I have to upgrade first to 5.1(8)E3? With 5.1(8)E3, can I run my s366 which requires E3 on 5.1(8)E3?

suschoud Tue, 11/04/2008 - 08:00

To install the IPS-K9-6.2-1-E3.pkg minor

version upgrade file, you must be running IPS version 5.0(1) or later

on your sensor.

So,you can upgrade directly 5.1(7)E2 to 6.1(1)E3 or 6.2(1)E3.

Regards,

Sushil

austin0824 Tue, 11/04/2008 - 08:23

Thanks. That's great news! Any idea where to get documentation? There seems to be none on E3 on cisco site.

suschoud Tue, 11/04/2008 - 08:48

the readme.txt files available on ips download page are great resource to find download matrix requirments.

Do rate if helpful.

Regards,

Sushil

ankurs2008 Wed, 11/05/2008 - 00:03

hi

please let me know as to till what next possible version ic an upgrade IPS 4240 5.1(5)E1 (without license)

Regards

Ankur

austin0824 Thu, 11/06/2008 - 07:06

Hi, if for any reason the upgrade from 5.1-7 to 6.2-1 fails and I decide to revert to the earlier version I had previously, what is the easiest thing to do to achiev this?

rhermes Thu, 11/06/2008 - 08:40

If you want to downgrade from 6.x to 5.x you will be forced to reimage your system.

It isn't hard, but you will loose all of your configuration settings, so you should copy your current config off the box before you start. A 6.x config might not paste cleanly into a 5.x sensor.

Actions

This Discussion